# Uses of Class
org.apache.sysds.runtime.io.FileFormatProperties

Packages that use FileFormatProperties
Package
Description
org.apache.sysds.runtime.compress.io
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.io
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.util

## Uses of FileFormatProperties in org.apache.sysds.runtime.compress.io

Methods in org.apache.sysds.runtime.compress.io with parameters of type FileFormatProperties
Modifier and Type
Method
Description
`static WriterCompressed`
WriterCompressed.`create(FileFormatProperties props)`

## Uses of FileFormatProperties in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return FileFormatProperties
Modifier and Type
Method
Description
`FileFormatProperties`
CacheableData.`getFileFormatProperties()`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type FileFormatProperties
Modifier and Type
Method
Description
`void`
CacheableData.`exportData(String fName, String outputFormat, int replication, FileFormatProperties formatProperties)`
Synchronized because there might be parallel threads (parfor local) that access the same object (in case it was created before the loop).
`void`
CacheableData.`exportData(String fName, String outputFormat, FileFormatProperties formatProperties)`
`void`
CacheableData.`setFileFormatProperties(FileFormatProperties props)`

## Uses of FileFormatProperties in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return FileFormatProperties
Modifier and Type
Method
Description
`FileFormatProperties`
VariableCPInstruction.`getFormatProperties()`

## Uses of FileFormatProperties in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return FileFormatProperties
Modifier and Type
Method
Description
`FileFormatProperties`
WriteSPInstruction.`getFormatProperties()`
Methods in org.apache.sysds.runtime.instructions.spark with parameters of type FileFormatProperties
Modifier and Type
Method
Description
`void`
WriteSPInstruction.`setFormatProperties(FileFormatProperties prop)`

## Uses of FileFormatProperties in org.apache.sysds.runtime.io

Subclasses of FileFormatProperties in org.apache.sysds.runtime.io
Modifier and Type
Class
Description
`class`
`FileFormatPropertiesCOG`
`class`
`FileFormatPropertiesCSV`
`class`
`FileFormatPropertiesHDF5`
`class`
`FileFormatPropertiesLIBSVM`
`class`
`FileFormatPropertiesMM`
Fields in org.apache.sysds.runtime.io declared as FileFormatProperties
Modifier and Type
Field
Description
`FileFormatProperties`
ReadProperties.`formatProperties`
Methods in org.apache.sysds.runtime.io with parameters of type FileFormatProperties
Modifier and Type
Method
Description
`static FrameReader`
FrameReaderFactory.`createFrameReader(Types.FileFormat fmt, FileFormatProperties props)`
`static FrameWriter`
FrameWriterFactory.`createFrameWriter(Types.FileFormat fmt, FileFormatProperties props)`
`static MatrixWriter`
MatrixWriterFactory.`createMatrixWriter(Types.FileFormat fmt, int replication, FileFormatProperties props)`
`static ListObject`
ListReader.`readListFromHDFS(String fname, String fmtStr, FileFormatProperties props)`
Reads a list object and all contained objects from a folder with related meta data.
`static void`
ListWriter.`writeListToHDFS(ListObject lo, String fname, String fmtStr, FileFormatProperties props)`
Writes a list object and all contained objects to a folder with related meta data.

## Uses of FileFormatProperties in org.apache.sysds.runtime.iogen

Subclasses of FileFormatProperties in org.apache.sysds.runtime.iogen
Modifier and Type
Class
Description
`class`
`CustomProperties`
`class`
`SampleProperties`

## Uses of FileFormatProperties in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type FileFormatProperties
Modifier and Type
Method
Description
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`
`static MatrixBlock`
DataConverter.`readMatrixFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen, long expectedNnz, FileFormatProperties formatProperties)`
`static void`
DataConverter.`writeMatrixToHDFS(MatrixBlock mat, String dir, Types.FileFormat fmt, DataCharacteristics dc, int replication, FileFormatProperties formatProperties)`
`static void`
DataConverter.`writeMatrixToHDFS(MatrixBlock mat, String dir, Types.FileFormat fmt, DataCharacteristics dc, int replication, FileFormatProperties formatProperties, boolean diag)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`